2008-12-12 13:58:53 +02:00
|
|
|
From 13a8a1f0848115f23553d15f15aa2b836f459614 Mon Sep 17 00:00:00 2001
|
2008-12-12 02:02:36 +02:00
|
|
|
From: mokopatches <mokopatches@openmoko.org>
|
2008-12-12 13:58:53 +02:00
|
|
|
Date: Sun, 13 Apr 2008 07:23:49 +0100
|
2008-12-12 02:02:36 +02:00
|
|
|
Subject: [PATCH] fail-unless-uimage.patch
|
|
|
|
Fail the build noisily if "mkimage" can't be found, e.g., if we forgot to add
|
|
|
|
the u-boot directory to PATH.
|
|
|
|
|
|
|
|
---
|
|
|
|
scripts/mkuboot.sh | 2 +-
|
|
|
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
|
|
|
|
|
|
|
diff --git a/scripts/mkuboot.sh b/scripts/mkuboot.sh
|
|
|
|
index 2e3d3cd..446739c 100755
|
|
|
|
--- a/scripts/mkuboot.sh
|
|
|
|
+++ b/scripts/mkuboot.sh
|
|
|
|
@@ -11,7 +11,7 @@ if [ -z "${MKIMAGE}" ]; then
|
|
|
|
if [ -z "${MKIMAGE}" ]; then
|
|
|
|
# Doesn't exist
|
|
|
|
echo '"mkimage" command not found - U-Boot images will not be built' >&2
|
|
|
|
- exit 0;
|
|
|
|
+ exit 1;
|
|
|
|
fi
|
|
|
|
fi
|
|
|
|
|
|
|
|
--
|
2008-12-12 13:58:53 +02:00
|
|
|
1.5.6.5
|
2008-12-12 02:02:36 +02:00
|
|
|
|